Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Endpoint_Reactive_Strategy Class Template Reference

Reactive strategy base class. More...

`#include <Endpoint_Strategy_T.h>`

Inheritance diagram for TAO_AV_Endpoint_Reactive_Strategy

[legend]
Collaboration diagram for TAO_AV_Endpoint_Reactive_Strategy:

[legend]
List of all members.

## Protected Methods
| TAO_AV_Endpoint_Reactive_Strategy (void)
| Constructor.
virtual | ~TAO_AV_Endpoint_Reactive_Strategy (void)
| Destructor.
virtual int | activate (void)
| creates and activates the streamendpoint, vdev, and mediacontrol.
virtual int | activate_stream_endpoint (CORBA::Environment &env) = 0
| activates the stream_endpoint with the POA.
virtual int | activate_vdev (CORBA::Environment &env)
| activates the vdev with the POA.
virtual int | activate_mediactrl (CORBA::Environment &env)
| activates the media controller with the POA.
virtual int | make_vdev (T_VDev *&vdev)
| Bridge method to create a vdev, a la Acceptor. Applications can override this.
virtual int | make_stream_endpoint (T_StreamEndpoint *&stream_endpoint)
| Bridge method to create a stream_endpoint, a la Acceptor. Applications can override this.
virtual int | make_mediactrl (T_MediaCtrl *&media_ctrl)
| Bridge method to create a media_ctrl, a la Acceptor. Applications can override this.
char* | activate_with_poa (PortableServer::Servant servant, CORBA::Environment &env)
## Protected Attributes
CORBA::ORB_var | orb_
PortableServer::POA_var | poa_

## Detailed Description

### template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl> template class TAO_AV_Endpoint_Reactive_Strategy

Reactive strategy base class.

## Constructor & Destructor Documentation

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
TAO_AV_Endpoint_Reactive_Strategy<T_StreamEndpoint, T_VDev, T_MediaCtrl>::TAO_AV_Endpoint_Reactive_Strategy<T_StreamEndpoint, T_VDev, T_MediaCtrl> ( | void )`[protected]`

| Constructor.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
TAO_AV_Endpoint_Reactive_Strategy<T_StreamEndpoint, T_VDev, T_MediaCtrl>::~TAO_AV_Endpoint_Reactive_Strategy<T_StreamEndpoint, T_VDev, T_MediaCtrl> ( | void )`[protected, virtual]`

| Destructor.

## Member Function Documentation

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy<T_StreamEndpoint, T_VDev, T_MediaCtrl>::activate ( | void )`[protected, virtual]`

| creates and activates the streamendpoint, vdev, and mediacontrol.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy<T_StreamEndpoint, T_VDev, T_MediaCtrl>::activate_mediactrl ( | CORBA::Environment & env )`[protected, virtual]`

| activates the media controller with the POA.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy<T_StreamEndpoint, T_VDev, T_MediaCtrl>::activate_stream_endpoint ( | CORBA::Environment & env )`[protected, pure virtual]`

| activates the stream_endpoint with the POA. Reimplemented in TAO_AV_Endpoint_Reactive_Strategy_A, and TAO_AV_Endpoint_Reactive_Strategy_B.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy<T_StreamEndpoint, T_VDev, T_MediaCtrl>::activate_vdev ( | CORBA::Environment & env )`[protected, virtual]`

| activates the vdev with the POA.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
char * TAO_AV_Endpoint_Reactive_Strategy< T_StreamEndpoint,T_VDev,T_MediaCtrl >::activate_with_poa ( | PortableServer::Servant servant,
| CORBA::Environment & ACE_TRY_ENV )`[protected]`

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy<T_StreamEndpoint, T_VDev, T_MediaCtrl>::make_mediactrl ( | T_MediaCtrl *& media_ctrl )`[protected, virtual]`

| Bridge method to create a media_ctrl, a la Acceptor. Applications can override this.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy<T_StreamEndpoint, T_VDev, T_MediaCtrl>::make_stream_endpoint ( | T_StreamEndpoint *& stream_endpoint )`[protected, virtual]`

| Bridge method to create a stream_endpoint, a la Acceptor. Applications can override this.

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy<T_StreamEndpoint, T_VDev, T_MediaCtrl>::make_vdev ( | T_VDev *& vdev )`[protected, virtual]`

| Bridge method to create a vdev, a la Acceptor. Applications can override this.

## Member Data Documentation

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
CORBA::ORB_var TAO_AV_Endpoint_Reactive_Strategy<T_StreamEndpoint, T_VDev, T_MediaCtrl>::orb_`[protected]`

template<classT_StreamEndpoint, classT_VDev, classT_MediaCtrl>
PortableServer::POA_var TAO_AV_Endpoint_Reactive_Strategy<T_StreamEndpoint, T_VDev, T_MediaCtrl>::poa_`[protected]`

The documentation for this class was generated from the following files:

- Endpoint_Strategy_T.h
- Endpoint_Strategy_T.cpp